Class | Irc::Casemap
In: | lib/rbot/irc.rb
Parent: | Object

Due to its Scandinavian origins, IRC has strange case mappings, which consider the characters `{}|^` as the uppercase equivalents of # `[]\~`.

This is however not the same on all IRC servers: some use standard ASCII casemapping, other do not consider `^` as the uppercase of `~`

### Methods

== get inspect lower must_be new to_irc_casemap to_s upper

### Public Class methods

get(name)

Returns the Casemap with the given name

new(name, upper, lower)

Create a new casemap with name name, uppercase characters upper and lowercase characters lower

### Public Instance methods

==(arg)

Two Casemaps are equal if they have the same upper and lower ranges

inspect()

A Casemap is represented by its lower/upper mappings

lower()

Retrieve the ‘lowercase characters’ of this Casemap

must_be(arg)

Give a warning if arg and self are not the same Casemap

to_irc_casemap()

Return a Casemap based on the receiver

to_s()

As a String we return our name

upper()

Retrieve the ‘uppercase characters’ of this Casemap

[Validate]